.@
.@	NQS Quick reference document
.@
.@	nroff -mm -Tlp thisfile >thatfile
.@
.de sI
.br
.in +.25i
.@	In comments now... ll -.25i
..
.de eI
.br
.in -.25i
.@	In comments now... ll +.25i
..
.PH "''NQS Commands Quick Reference Document'\n(mo/\n(dy/\n(yr'"
.PF "''NQS Commands Quick Reference Document'\n(mo/\n(dy/\n(yr'"
.sp 3
.P
The Network Queueing System (\s-1NQS\s+1), provides a total of ten user
commands.
To help the users more easily remember these commands and their usage,
a brief description of each \s-1NQS\s+1 command is listed below
(detailed descriptions of all \s-1NQS\s+1 commands can be found in the
manual identified in the 
.B "BRIEF DESCRIPTION"
section of each command summary):
.sp 2
.sI
.P
.B COMMAND
.sI
.P
.IR "qcat\^" " \- display error, input, or output text files of \s-1NQS\s+1 requests".
.P
.B SYNOPSIS
.sI
.P
.B qcat
[
.B \-e
]
[
.B \-i
]
[
.B \-o
]
[
.B \-t
number
]
.br
[
.B \-h
target-host
]
request-id ...
.eI
.P
.B "BRIEF DESCRIPTION"
.sI
.P
.I Qcat\^
displays the contents of existing error, input, or output text files
of \s-1NQS\s+1 requests in a networked environment.
.P
For more information, see
.IR "qcat\^" "(1)".
.eI
.eI
.sp 2
.sI
.P
.B COMMAND
.sI
.P
.IR "qcmplx\^" " \- display status of \s-1NQS\s+1 queue complexes".
.P
.B SYNOPSIS
.sI
.P
.B qcmplx
[
.B \-h
host-name
]
[
.B \-n
]
[
.B \-Q
]
.br
[ complex-name ... ]
[ complex-name@host-name ... ]
.eI
.P
.B "BRIEF DESCRIPTION"
.sI
.P
.I Qcmplx\^
displays the status of \s-1NQS\s+1 complexes in a networked environment.
.P
For more information, see
.IR "qcmplx\^" "(1)".
.eI
.eI
.sp 2
.B COMMAND
.sI
.P
.IR "qdel\^" " \- delete or signal \s-1NQS\s+1 request(s)."
.P
.B SYNOPSIS
.sI
.P
.B qdel
[
.B \-k
]
[
.B \-s
]
[
.B \-c
]
[
.BR \- signo
]
[
.B \-u
username
]
[
.B \-h
host-name
]
request-id ...
.eI
.P
.B "BRIEF DESCRIPTION"
.sI
.P
.I Qdel\^
is used to delete, stop, or signal an \s-1NQS\s+1 request presently located
on the local or remote host.
.P
For more information, see
.IR "qdel\^" "(1)".
.eI
.eI
.sp 2
.B COMMAND
.sI
.P
.IR "qhold\^" " \- hold \s-1NQS\s+1 request(s)."
.P
.B SYNOPSIS
.sI
.P
.B qhold
[
.B \-u
username
]
request-id ...
.eI
.P
.B "BRIEF DESCRIPTION"
.sI
.P
.I Qhold\^
is used to hold an \s-1NQS\s+1 request presently located on the
local host.
.P
For more information, see
.IR "qhold\^" "(1)".
.eI
.eI
.sp 2
.B COMMAND
.sI
.P
.IR "qjob\^" " \- display status of \s-1NQS\s+1 networked queues".
.P
.B SYNOPSIS
.sI
.P
.B qjob
[
.B \-a
]
.eI
.P
.B "BRIEF DESCRIPTION"
.sI
.P
.I Qjob\^
displays the status of \s-1NQS\s+1 queues in a networked environment.
.P
For more information, see
.IR "qjob\^" "(1)".
.eI
.eI
.sp 2
.B COMMAND
.sI
.P
.IR "qlimit\^" " \- show supported batch limits and shell strategy "
for the local host.
.P
.B SYNOPSIS
.sI
.P
.B qlimit
.eI
.P
.B "BRIEF DESCRIPTION"
.sI
.P
.I Qlimit\^
displays the set of batch request resource limit types that
.I can\^
be directly enforced and also the
.I "batch request shell strategy\^"
defined for the implied local host.
.P
For more information, see
.IR "qlimit\^" "(1)".
.eI
.eI
.sp 2
.B COMMAND
.sI
.P
.IR "qmgr\^" " \- \s-1NQS\s+1 queue manager program"
.P
.B SYNOPSIS
.sI
.P
.B qmgr
.eI
.P
.B "BRIEF DESCRIPTION"
.sI
.P
.I Qmgr\^
is a program used by the System Administrator or System Operator
to control \s-1NQS\s+1 requests, queues, devices, and the general
\s-1NQS\s+1 configuration at the local machine.
.P
For more information, see
.IR "qmgr\^" "(1m)".
.eI
.eI
.sp 2
.sp 2
.B COMMAND
.sI
.P
.IR "qrls\^" " \- release \s-1NQS\s+1 request(s)."
.P
.B SYNOPSIS
.sI
.P
.B qrls
[
.B \-u
username
]
request-id ...
.eI
.P
.B "BRIEF DESCRIPTION"
.sI
.P
.I Qrls\^
is used to release an \s-1NQS\s+1 request presently located on the
local host.
.P
For more information, see
.IR "qrls\^" "(1)".
.eI
.eI
.sp 2
.B COMMAND
.sI
.P
.IR "qstat\^" " \- display status of \s-1NQS\s+1 queue(s)"
.P
.B SYNOPSIS
.sI
.P
.B qstat
[
.B \-a
]
[
.B \-U
]
[
.B \-h " host-name "
]
[
.B \-b
]
[
.B \-d
]
.br
[
.B \-p
]
[
.B \-f
]
[
.B \-l
]
[
.B \-n
]
[
.B \-s " state -rqhrt- "
]
.br
[
.B \-u " user-name "
]
[ request-id ... ]
[ queue-name ... ]
.br
[ queue-name@host-name ... ]
.eI
.P
.B "BRIEF DESCRIPTION"
.sI
.P
.I Qstat\^
displays the status of \s-1NQS\s+1 queues.
.P
For more information, see
.IR "qstat\^" "(1)".
.eI
.eI
.sp 2
.B COMMAND
.sI
.P
.IR "qsub\^" " \- submit an \s-1NQS\s+1 batch request."
.P
.B SYNOPSIS
.sI
.B qsub
[ flags ] [ script-file ]
.eI
.P
.B "BRIEF DESCRIPTION"
.sI
.P
.I Qsub\^
submits a batch request to the Network Queueing System (\s-1NQS\s+1).
.P
If no
.I "script-file\^"
is specified, then the set of commands to be executed as a batch request
is taken directly from the standard input file
.RI ( "stdin\^" ).
In all cases however, the
.I "script file\^"
is spooled, so that later changes will
.B not
affect previously queued batch requests.
.P
All of the flags that can be specified on the command line can also
be specified within the first
comment block inside the batch request
.I "script file\^"
as
.IR "embedded default flags\^" .
Such flags appearing in the batch request
.I "script file\^"
set default characteristics for the batch request.  If the same flag
is specified on the command line, then the command line flag (and
any associated value) takes precedence over the
.I embedded\^
flag.
.P
The flags supported by the
.I Qsub\^
command are listed below:
.sI
.P
.BR \-a "  \- run request after stated time"
.br
.BR \-e "  \- direct stderr output to stated destination"
.br
.BR \-eo " \- direct stderr output to the stdout destination"
.br
.BR \-ke " \- keep stderr output on the execution machine"
.br
.BR \-ko " \- keep stdout output on the execution machine"
.br
.BR \-lc " \- establish per-process corefile size limit"
.br
.BR \-ld " \- establish per-process data-segment size limits"
.br
.BR \-lf " \- establish per-process permanent-file size limits"
.br
.BR \-lF " \- establish per-request permanent-file space limits"
.br
.BR \-lm " \- establish per-process memory size limits"
.br
.BR \-lM " \- establish per-request memory space limits"
.br
.BR \-ln " \- establish per-process nice execution value limit"
.br
.BR \-ls " \- establish per-process stack-segment size limits"
.br
.BR \-lt " \- establish per-process CPU time limits"
.br
.BR \-lT " \- establish per-request CPU time limits"
.br
.BR \-lv " \- establish per-process temporary-file size limits"
.br
.BR \-lV " \- establish per-request temporary-file space limits"
.br
.BR \-lw " \- establish per-process working set limit"
.br
.BR \-mb " \- send mail when the request begins execution"
.br
.BR \-me " \- send mail when the request ends execution"
.br
.BR \-mu " \- send mail for the request to the stated user"
.br
.BR \-nr " \- declare that batch request is not restartable"
.br
.BR \-o "  \- direct stdout output to the stated destination"
.br
.BR \-p "  \- specify intra-queue request priority"
.br
.BR \-q "  \- queue request in the stated queue"
.br
.BR \-r "  \- assign stated request name to the request"
.br
.BR \-re " \- remotely access the stderr output file"
.br
.BR \-ro " \- remotely access the stdout output file"
.br
.BR \-s "  \- specify shell to interpret the batch request script"
.br
.BR \-x "  \- export all environment variables with request"
.br
.BR \-z "  \- submit the request silently"
.br
.eI
.P
For more information, see
.IR "qsub\^" "(1)".
.eI
.eI
.eI
.sp 2
.P
.B "NPSN HISTORY"
.P
Origin: Sterling Software
.P
.I "September 1986 \- Brent Kingsbury, Sterling Software"
.br
Original release.
.P
.I "August 1991 \- Christian Boissat, CERN"
.br
Second edition.
.P
.I "January 1992 \- Christian Boissat, CERN"
.br
Third edition.
.P
.I "April 1992 \- Christian Boissat, CERN"
.br
Fourth edition.
