/*++ nqsdirs.h - Network Queueing System
 *
 * $Source$
 *
 * DESCRIPTION:
 *
 *	NQS daemon directory and file definitions.
 *
 *
 *	Author:
 *	-------
 *	Brent A. Kingsbury, Sterling Software Incorporated.
 *	October 2, 1985.
 *
 *
 * STANDARDS VIOLATIONS:
 *   None.
 *
 * REVISION HISTORY: ($Revision$ $Date$ $State$)
 * $Log$
 *
 */

#if	AIX | DOMAIN_OS | _IBMESA	/* Does not work with the -D option */
#ifndef NQS_HOME
#define NQS_HOME "
#endif
#endif
#ifndef	NQS_HOME
The symbol NQS_HOME must be exported from the Makefile invocation.
#else
#if	BSD42 | BSD43
#else
#if	SGI | SYS52 | SYS53 | ULTRIX | UNICOS | UTS
char *Nqs_fifo = "FIFO";		/* NQS interprocess FIFO pipe */
					/* relative pathname */
char *Nqs_ffifo = NQS_HOME/usr/spool/nqs/new/requests/FIFO";
					/* NQS interprocess FIFO pipe */
					/* full pathname */
#else
BAD SYSTEM TYPE
#endif
#endif
char *Nqs_requests = NQS_HOME/usr/spool/nqs/new/requests";
					/* NQS new request directory */
char *Nqs_root = NQS_HOME/usr/spool/nqs/private/root";
					/* NQS root directory */
char *Nqs_scripts = NQS_HOME/usr/spool/nqs/scripts";
					/* NQS shell-script links directory */
#endif
/*
 *	All of the following directories/files are relative to Nqs_root.
 */
char *Nqs_control = "control";		/* NQS control directory */
char *Nqs_data = "data";		/* NQS data directory */
char *Nqs_devices = "database/devices";	/* NQS device status file */
char *Nqs_forms = "database/forms";	/* NQS forms file */
char *Nqs_netqueues = "database/netqueues";
					/* NQS network queue/status file */
char *Nqs_qcomplex = "database/qcomplex";
					/* NQS queue complex status file */
char *Nqs_queues = "database/queues";	/* NQS non-network queue/status file */
char *Nqs_qmaps = "database/qmaps";	/* NQS queue/device/destination file */
char *Nqs_pipeto = "database/pipeto";	/* NQS pipe destination queues */
char *Nqs_params = "database/params";	/* NQS general parameters file */
char *Nqs_mgracct = "database/managers";/* NQS manager account name file */
char *Nqs_seqno = "database/seqno";	/* NQS request seq# file */
char *Nqs_qaccess = "database_qa";	/* NQS queue access directory */
char *Nqs_qorder = "database_qo";	/* NQS queue ordering directory */
char *Nqs_failed = "failed";		/* NQS failed directory */
char *Nqs_inter = "interproc";		/* NQS inter-process comm. dir. */
char *Nqs_output = "output";		/* NQS temporary output file dir. */
char *Nqs_transact = "transact";	/* NQS transaction directory */
