/*++ scpnqs.h - Network Queueing System
 *
 * $Source$
 *
 * DESCRIPTION:
 *
 *
 *	SCP interface structures for NQS.
 *
 *
 *	Author:
 *	-------
 *	Clay Andreasen, Cray Research Incorporated
 *	July, 1986.
 *
 *
 * STANDARDS VIOLATIONS:
 *   None.
 *
 * REVISION HISTORY: ($Revision$ $Date$ $State$)
 * $Log$
 *
 */
/* CRAYSCCS %Z%%M%	%I%	%G% %U% */

#define PMAJOR	"/w/cos"

/*
 *	Definition of structure returned by qstat for each defined queue.
 *	This is followed by a qstat_j structure for each job in the queue.
 */
struct	qstat_q {
	char	qname[16];		/* queue name */
	int	limit;			/* run limit of queue */
	int	running;		/* number of jobs running */
	int	queued;			/* number of jobs queued */
	int	status;			/* 0=off 1 = on */
};

/*
 *	Definition of structure returned by qstat for each job submitted
 *	throuch USCP.  Qstat compares the first part of the standard output
 *	pathname of the job with the string PMAJOR (defined above) to determine
 *	whether the job came through USCP.
 */
struct	qstat_j {
	char	jobname[8];		/* job name */
	char	user[8];		/* user name */
	char	state[8];		/* job state (in ASCII) */
	int	jobid;			/* UNICOS job id (if executing) */
	int	seqno;			/* NQS sequence number */
	int	nice;			/* nice value at initiation */
	int	fl;			/* memory field length (clicks) */
	int	cpu;			/* cpu used (sec) */
	int	limit;			/* cpu time limit (sec) */
	int	scpflag;		/* job came from SCP flag */
};

/*
 *	Definition of structure returned by qsub when executed with a '-*n'
 *	parameter.
 */
struct	qsub_scp {
	int	qsubpid;		/* Process ID of the qsub program */
	int	seqno;			/* NQS sequence number of the job */
	char	jobname[16];		/* Job name */
};
