/*++ destdev.c - Network Queueing System
 *
 * $Source$
 *
 * DESCRIPTION:
 *
 *	Return a pointer to the device-name portion of a remote
 *	device specification.
 *
 *
 *	Author:
 *	-------
 *	Brent A. Kingsbury, Sterling Software Incorporated.
 *	October 15, 1985.
 *
 *
 * STANDARDS VIOLATIONS:
 *   None.
 *
 * REVISION HISTORY: ($Revision$ $Date$ $State$)
 * $Log$
 *
 */

#include "nqs.h"			/* NQS types and definitions */

/*** destdev
 *
 *
 *	char *destdev():
 *
 *	Return a pointer to the device-name portion of a remote
 *	device specification.
 */
char *destdev (remote_device)
register char *remote_device;		/* Remote device specification text */
{
	static char devname [MAX_DEVNAME+2];
					/* Remote device name of one */
					/* extra byte so that mgr_scan.c */
					/* can tell a remote device */
					/* name that is too long. */
	register char *copyto;		/* Copyto pointer */
	register unsigned size;		/* Copy size */

	size = 0;			/* Nothing copied yet */
	copyto = devname;		/* Where to copy */
	while (*remote_device && *remote_device != '@' &&
	       size < MAX_DEVNAME+1) {
		*copyto++ = *remote_device++;
		size++;			/* One more character copied */
	}				/* specification */
	*copyto = '\0';			/* Null terminate */
	return (devname);		/* Return pointer to device name */
}
