/*++ destpath.c - Network Queueing System
 *
 * $Source$
 *
 * DESCRIPTION:
 *
 *	Return a pointer to the path-name portion of a remote
 *	path specification:  machine_name:path.
 *
 *
 *	Author:
 *	-------
 *	Brent A. Kingsbury, Sterling Software Incorporated.
 *	November 5, 1985.
 *
 *
 * STANDARDS VIOLATIONS:
 *   None.
 *
 * REVISION HISTORY: ($Revision$ $Date$ $State$)
 * $Log$
 *
 */

#include "nqs.h"			/* NQS types and definitions */

#if	BSD42 | BSD43 | ULTRIX
extern char *index();			/* Locate character within string */
#else
#if	SGI | SYS52 | SYS53 | UNICOS | UTS
extern char *strchr();			/* Locate character within string */
#else
BAD SYSTEM TYPE
#endif
#endif
extern char *strncpy();			/* Anchored string copy */

/*** destpath
 *
 *
 *	char *destpath():
 *
 *	Return a pointer to the path-name portion of a remote
 *	path specification:  machine_name:path.
 */
char *destpath (remote_path)
register char *remote_path;		/* Remote path specification text */
{
	static char pathname [MAX_REQPATH+2];
					/* Remote path name of one */
					/* extra byte so that caller can */
					/* tell if the path name is too */
					/* long. */
	register char *local_path;	/* Pointer to local path */

#if	BSD42 | BSD43 | ULTRIX
	if ((local_path = index (remote_path, ':')) == (char *) 0) {
#else
#if	SGI | SYS52 | SYS53 | UNICOS | UTS
	if ((local_path = strchr (remote_path, ':')) == (char *) 0) {
#else
BAD SYSTEM TYPE
#endif
#endif
		local_path = remote_path;
	}
	else local_path++;
	strncpy (pathname, local_path, MAX_REQPATH+2);
	pathname [MAX_REQPATH+1] = '\0';	/* Paranoia */
	return (pathname);
}
