/*++ destqueue.c - Network Queueing System
 *
 * $Source$
 *
 * DESCRIPTION:
 *
 *	Return a pointer to the queue-name portion of a remote
 *	queue specification.
 *
 *
 *	Author:
 *	-------
 *	Brent A. Kingsbury, Sterling Software Incorporated.
 *	October 15, 1985.
 *
 *
 * STANDARDS VIOLATIONS:
 *   None.
 *
 * REVISION HISTORY: ($Revision$ $Date$ $State$)
 * $Log$
 *
 */

#include "nqs.h"			/* NQS types and definitions */

/*** destqueue
 *
 *
 *	char *destqueue():
 *
 *	Return a pointer to the queue-name portion of a remote
 *	queue specification.
 */
char *destqueue (remote_queue)
register char *remote_queue;		/* Remote queue specification text */
{
	static char quename [MAX_QUEUENAME+2];
					/* Remote queue name of one */
					/* extra byte so that mgr_scan.c */
					/* can tell a remote queue */
					/* name that is too long. */
	register char *copyto;		/* Copyto pointer */
	register unsigned size;		/* Copy size */

	size = 0;			/* Nothing copied yet */
	copyto = quename;		/* Where to copy */
	while (*remote_queue && *remote_queue != '@' &&
	       size < MAX_QUEUENAME+1) {
		*copyto++ = *remote_queue++;
		size++;			/* One more character copied */
	}				/* specification */
	*copyto = '\0';			/* Null terminate */
	return (quename);		/* Return pointer to queue name */
}
