/*++ errnototcm.c - Network Queueing System
 *
 * $Source$
 *
 * DESCRIPTION:
 *
 *
 *	Convert a file access related errno code to its corresponding
 *	transaction code.
 *
 *
 *	Author:
 *	-------
 *	Brent A. Kingsbury, Sterling Software Incorporated.
 *	April 27, 1986.
 *
 *
 * STANDARDS VIOLATIONS:
 *   None.
 *
 * REVISION HISTORY: ($Revision$ $Date$ $State$)
 * $Log$
 *
 */

#include <errno.h>		/* Errno definitions */
#include "transactcc.h"		/* NQS transaction completion codes */

extern int errno;		/* In case not declared in errno.h */

/*** errnototcm
 *
 *
 *	long errnototcm():
 *	Convert errno code to transaction completion code.
 *
 *	Returns:
 *		The transaction code corresponding to the
 *		errno condition.
 */
long errnototcm ()
{
	switch (errno) {
	case EACCES:
		return (TCML_EACCESS);
	case EFBIG:
		return (TCML_EFBIG);
	case EISDIR:
		return (TCML_EISDIR);
#if	BSD42 | BSD43 | ULTRIX
	case ELOOP:
		return (TCML_ELOOP);
#else
#if	SGI | SYS52 | SYS53 | UNICOS | UTS
#else
BAD SYSTEM TYPE
#endif
#endif
	case ENFILE:
		return (TCML_ENFILE);
	case ENOBUFS:
		return (TCML_ENOBUFS);
	case ENOENT:
		return (TCML_ENOENT);
	case ENOMEM:
		return (TCML_ENOMEM);
	case ENOSPC:
		return (TCML_ENOSPC);
	case ENOTDIR:
		return (TCML_ENOTDIR);
	case ENXIO:
		return (TCML_ENXIO);
	case EPERM:
		return (TCML_EPERM);
	case EPIPE:
		return (TCML_EPIPE);
	case EROFS:
		return (TCML_EROFS);
	case ETIMEDOUT:
		return (TCML_ETIMEDOUT);
	case ETXTBSY:
		return (TCML_ETXTBSY);
	}
	return (TCML_FATALABORT);
}
