/*++ fmtmidname.c - Network Queueing System
 *
 * $Source$
 *
 * DESCRIPTION:
 *
 *	Return a pointer to the principal name of the machine
 *	identified by the specified machine-id.
 *
 *
 *	Author:
 *	-------
 *	Brent A. Kingsbury, Sterling Software Incorporated.
 *	April 29, 1986.
 *
 *
 * STANDARDS VIOLATIONS:
 *   None.
 *
 * REVISION HISTORY: ($Revision$ $Date$ $State$)
 * $Log$
 *
 */

#include NMAP			/* Include network mapping definitions */

/*
 *	External functions.
 */
extern char *nmap_get_nam();	/* Get the principal name of a machine */
				/* based upon the machine-id */


/*** fmtmidname
 *
 *
 *	char *fmtmidname():
 *
 *	Return a pointer to the principal name of the machine
 *	identified by the specified machine-id.
 */
char *fmtmidname (mid)
mid_t mid;				/* Machine-id */
{
	static char standinbuf [14];	/* Stand-in buffer */

	register char *name;		/* Pointer to name */

	name = nmap_get_nam (mid);
	if (name == (char *) 0) {
		/*
		 *  No such machine!  Format a "stand-in" name.
		 */
		sprintf (standinbuf, "[%1ld]", (long) mid);
		name = standinbuf;
	}
	return (name);
}
