/*++ fmtuidname.c - Network Queueing System
 *
 * $Source$
 *
 * DESCRIPTION:
 *
 *	Return a pointer to the username of the account
 *	identified by the local user-id.
 *
 *
 *	Author:
 *	-------
 *	Brent A. Kingsbury, Sterling Software Incorporated.
 *	April 29, 1986.
 *
 *
 * STANDARDS VIOLATIONS:
 *   None.
 *
 * REVISION HISTORY: ($Revision$ $Date$ $State$)
 * $Log$
 *
 */

#if	BSD43 | SGI | SYS52 | SYS53 | ULTRIX
#include <sys/types.h>			/* Uid_t, gid_t */
#else
#if	BSD42 | UNICOS | UTS
#else
BAD SYSTEM TYPE
#endif
#endif
#include NMAP				/* Mid_t (all OS's) */
					/* Uid_t and gid_t (if not BSD43) */
#include <pwd.h>			/* Password/account definitions */

/*
 *	External functions.
 */
extern struct passwd *fetchpwuid();
				/* Fetch local password entry for */
				/* loccal user-id */


/*** fmtuidname
 *
 *
 *	char *fmtuidname():
 *
 *	Return a pointer to the username of the account
 *	identified by the local user-id.
 */
char *fmtuidname (uid)
uid_t uid;				/* Local user-id */
{
	static char standinbuf [14];	/* Stand-in buffer */

	register char *name;		/* Pointer to name */
	register struct passwd *pw;	/* Password/account entry */

	pw = fetchpwuid ((int) uid);	/* Get account entry */
	if (pw == (struct passwd *) 0) {
		/*
		 *  No such user!  Format a "stand-in" name.
		 */
		sprintf (standinbuf, "[%1d]", (int) uid);
		name = standinbuf;
	}
	else name = pw->pw_name;
	return (name);
}
