/*++ isdecstr.c - Network Queueing System
 *
 * $Source$
 *
 * DESCRIPTION:
 *
 *	Determine if a string of length n characters contains
 *	ASCII decimal digit characters and nothing but ASCII
 *	decimal digit characters.
 *
 *
 *
 *	Author:
 *	-------
 *	Brent A. Kingsbury, Sterling Software Incorporated.
 *	August 12, 1985.
 *
 *
 * STANDARDS VIOLATIONS:
 *   None.
 *
 * REVISION HISTORY: ($Revision$ $Date$ $State$)
 * $Log$
 *
 */

/*** isdecstr
 *
 *
 *	int isdecstr():
 *
 *	Returns:
 *		1: if the specified string of length n characters
 *		   contains decimal digits and nothing but decimal digits;
 *		0: otherwise.
 */
int isdecstr (name, len)
register char *name;
register int len;
{
	if (len <= 0) return (0);
	while (len && *name >= '0' && *name <= '9') {
		len--;
		name++;
	}
	if (len == 0) return (1);
	return (0);
}
