/*++ namstdlog.c - Network Queueing System
 *
 * $Source$
 *
 * DESCRIPTION:
 *
 *	Return pointer to name of spooled stdlog output file for
 *	a batch request.
 *
 *
 *	Author:
 *	-------
 *	Brent A. Kingsbury, Sterling Software Incorporated.
 *	August 12, 1985.
 *
 *
 * STANDARDS VIOLATIONS:
 *   None.
 *
 * REVISION HISTORY: ($Revision$ $Date$ $State$)
 * $Log$
 *
 */

#include "nqs.h"			/* For MAX_OUTPSUBDIRS */
#include "nqsxdirs.h"

extern void pack6name();		/* Compute name on 6-bit alphabet */
extern char *strcat();			/* String concatenate */

/*** namstdlog
 *
 *
 *	char *namstdlog():
 *
 *	Return pointer to name of spooled stdlog output file for
 *	a batch request.
 *
 *	NOTE:	The name is computed relative to the NQS root directory.
 */
char *namstdlog (orig_seqno, orig_mid)
long orig_seqno;			/* Req sequence number */
mid_t orig_mid;				/* Req machine-id */
{
	static char path [48];		/* Pathname for file.  This size */
					/* may need to be increased.... */

	pack6name (path, Nqs_output, (int) (orig_seqno % MAX_OUTPSUBDIRS),
		  (char *) 0, (long) orig_seqno, 5, (long) orig_mid, 6, 0, 0);
	strcat (path, "l");
	return (path);
}
