/*++ rewritedb.c - Network Queueing System
 *
 * $Source$
 *
 * DESCRIPTION:
 *
 *
 *
 *	Author:
 *	-------
 *	Brent A. Kingsbury, Sterling Software Incorporated.
 *	August 12, 1985.
 *
 *
 * STANDARDS VIOLATIONS:
 *   None.
 *
 * REVISION HISTORY: ($Revision$ $Date$ $State$)
 * $Log$
 *
 */

#include <stdio.h>
#include "nqs.h"

extern int errno;			/* System call error number */
extern void bytecopy();			/* Copy exactly N bytes */
extern long lseek();			/* Seek */
extern void nqs_abort();		/* Abort NQS execution */
extern void seekdbb();			/* Buffered seek */
extern int sizedb();			/* Descriptor contents size function */

/*** rewritedb
 *
 *
 *	void rewritedb():
 *
 *	Rewrite an existing gendescr structure in the specified file
 *	at the specified offset position.  The file position is left
 *	pointing at the descriptor that was just re-written.
 */
void rewritedb (file, position, descr, descrtype)
register struct confd *file;		/* Configuration file */
long position;				/* File offset position */
struct gendescr *descr;			/* New version of descriptor */
int descrtype;				/* Descriptor type */
{
	register struct gendescr *target;

	seekdbb (file, position);
	/*
	 *  Rewrite the descriptor contents.
	 */
	target = (struct gendescr *) (file->cache->v.chars
	       + position % ATOMICBLKSIZ);
	bytecopy ((char *) &target->v, (char *) &descr->v,
		  sizedb (descr, descrtype));
	/*
	 *  Seek for write().
	 */
	lseek (file->fd, file->rposition - ATOMICBLKSIZ, 0);
	errno = 0;			/* Set to zero so partial writes do */
					/* not show spurious error message */
					/* text in nqs_abort(). */
	if (write (file->fd, file->cache->v.chars,
		   ATOMICBLKSIZ) != ATOMICBLKSIZ) {
		printf ("F$Write error in rewritedb().\n");
		nqs_abort();
	}
}
