/*++ shoalldev.c - Network Queueing System
 *
 * $Source$
 *
 * DESCRIPTION:
 *
 *	Show information about ALL devices on the local machine.
 *
 *
 *	Author:
 *	-------
 *	Brent A. Kingsbury, Sterling Software Incorporated.
 *	August 12, 1985.
 *
 *
 * STANDARDS VIOLATIONS:
 *   None.
 *
 * REVISION HISTORY: ($Revision$ $Date$ $State$)
 * $Log$
 *
 */

#include "nqs.h"

extern struct gendescr *nextdb();/* Return next allocated entry */
					/* from a database file */
extern int shodbydesc();		/* Show a device given a descr */

/*** shoalldev
 *
 *
 *	int shoalldev():
 *	Show status information on ALL of the local NQS devices.
 *
 *	WARNING:
 *		It is assumed that the current position
 *		of the device definitions file is 0.
 *
 *	Returns:
 *		0: If information about one or more devices
 *		   was displayed.
 *	       -1: If no output was produced.
 *
 */
int shoalldev (file)
register struct confd *file;		/* MUST be the NQS device file */
{
	int result;
	register struct gendescr *descr;

	result = -1;			/* No output produced */
	descr = nextdb (file);
	while (descr != (struct gendescr *)0) {
		if (shodbydesc (descr) == 0) {
			/*
			 *  Output was produced.
			 */
			result = 0;
			putchar ('\n');	/* Intervening space */
		}
		descr = nextdb (file);	/* Get the next device */
	}
	return (result);
}
