/*++ opendir.c - 
 *
 * $Source$
 *
 * DESCRIPTION:
 *
 *	Emulate the Berkeley 4.2 UNIX library call of:  opendir (3x)
 *	On top of the System V fixed name length directory structure.
 *
 *	Author:
 *	-------
 *	Kirk McKusick, University of California, Berkeley.
 *	March 10, 1982.
 *
 *	Modifications:
 *	--------------
 *	Brent A. Kingsbury, Sterling Software Incorporated.
 *	September 10, 1985.
 *
 *	  Changed "#include <dir.h>" to read "#include "dir.4.2.h"" since
 *	  we are after the Berkeley definition, and not System V.
 *
 *
 * STANDARDS VIOLATIONS:
 *
 * REVISION HISTORY: ($Revision$ $Date$ $State$)
 * $Log$
 *
 */

#if	SGI | SYS52 | SYS53 | UTS | UNICOS
#include <fcntl.h>
#include "dir.4.2.h"
#else
#if	BSD42 | BSD43 | ULTRIX
#include <sys/file.h>
#include <sys/dir.h>
#else
BAD SYSTEM TYPE
#endif
#endif

extern char *malloc();

/*** opendir
 *
 *
 *	DIR *opendir():
 *	Open a directory.
 */
DIR *opendir(name)
char *name;
{
	register DIR *dirp;
	register int fd;

	if ((fd = open (name, O_RDONLY)) == -1) return (NULL);
	if ((dirp = (DIR *) malloc (sizeof (DIR))) == NULL) {
		/*
		 *  Insufficient heap space.
		 */
		close (fd);
		return (NULL);
	}
	dirp->dd_fd = fd;
	dirp->dd_loc = 0;
	return (dirp);
}
