/*++ nqs_delrfs.c - Network Queueing System
 *
 * $Source$
 *
 * DESCRIPTION:
 *
 *	Delete the control and data files for the specified
 *	request.
 *
 *
 *	Author:
 *	-------
 *	Brent A. Kingsbury, Sterling Software Incorporated.
 *	August 12, 1985.
 *
 *
 * STANDARDS VIOLATIONS:
 *   None.
 *
 * REVISION HISTORY: ($Revision$ $Date$ $State$)
 * $Log$
 *
 */

#include <stdio.h>
#include "nqs.h"			/* NQS constants and data types */
#include "nqsxdirs.h"			/* NQS global variables */

extern void pack6name();		/* Compute name on 6-bit alphabet */


/*** void nqs_delrfs()
 *
 *
 *	void nqs_delrfs():
 *	Delete the specified control and data request files.
 */
void nqs_delrfs (orig_seqno, orig_mid, ndatafiles)
register long orig_seqno;		/* Request seq# */
register mid_t orig_mid;		/* Request machine-id */
register short ndatafiles;		/* #of request data files */
{
	char path [MAX_PATHNAME+1];

	while (ndatafiles) {
		/*
		 *  Loop to delete data files first.
		 */
		--ndatafiles;
		pack6name (path, Nqs_data, (int) (orig_seqno % MAX_DATASUBDIRS),
			  (char *) 0, (long) orig_seqno, 5,
			  (long) orig_mid, 6, ndatafiles, 3);
		unlink (path);		/* Unlink request */
	}
	/*
	 *  Now, unlink the request control file.
	 */
	pack6name (path, Nqs_control, (int) (orig_seqno % MAX_CTRLSUBDIRS),
		  (char *) 0, (long) orig_seqno, 5, (long) orig_mid, 6, 0, 0);
	unlink (path);
	/*
	 *  Now, unlink log file if it exists.
	 */
	pack6name (path, Nqs_control, (int) (orig_seqno % MAX_CTRLSUBDIRS),
		  (char *) 0, (long) orig_seqno, 5, (long) orig_mid, 6, 0, 0);
	strcat (path, "l");
	unlink (path);
}
