/*++ shlexefai.c - Network Queueing System
 *
 * $Source$
 *
 * DESCRIPTION:
 *
 *	Inform the shepherd process of a shell process created to
 *	execute an NQS batch request, that the execve() system
 *	call to invoke the actual shell failed.
 *
 *	This program MUST run as setuid to root program, in order
 *	to signal the NQS shepherd process running as root.
 *
 *
 *	Author:
 *	-------
 *	Brent A. Kingsbury, Sterling Software Incorporated.
 *	January 22, 1986.
 *
 *
 * STANDARDS VIOLATIONS:
 *   None.
 *
 * REVISION HISTORY: ($Revision$ $Date$ $State$)
 * $Log$
 *
 */

#include <signal.h>

/*
 *	External functions and variables:
 */
extern int atoi();
/* extern int (*signal())(); */

/*** main
 *
 *
 *	Invocation from a failed shell execve() call is as follows:
 *
 *	  $(NQS_LIBEXE)/shlexefai <ASCII-errno-code>
 *
 */
main (argc, argv)
int argc;
char *argv[];
{
	int parent_pid;			/* Process-id of NQS shepherd */

	parent_pid = getppid();
	if (parent_pid > 1) {
		/*
		 *  The NQS shepherd process for this failed shell
		 *  process has not exited.
		 */
		kill (parent_pid, SIGPIPE);
					/* Send a SIGPIPE signal to the */
					/* NQS shepherd process */
	}
	_exit (atoi (argv [1]));	/* Exit */
}
